<?php 
defined( 'ABSPATH' ) or die();

/* get post publish date */
if ( ! function_exists( 'wl_theme_get_post_publish_date' ) ) {
	function wl_theme_get_post_publish_date( $post_id ) {
		$posts = get_posts( array( 'post_type' => 'post', 'post__in' => array( $post_id ), 'numberposts' => -1 ) ); //Get all published posts
		foreach ( $posts as $post ) {
		    return get_the_time( 'F', $post->ID ).' '.get_the_time( 'd', $post->ID ).', '.get_the_time( 'Y', $post->ID );
		}
	}
}

/* get post Author name */
if ( ! function_exists( 'wl_theme_get_post_author_name' ) ) {
	function wl_theme_get_post_author_name( $post_id ) {
		$posts = get_posts( array( 'post_type' => 'post', 'post__in' => array( $post_id ), 'numberposts' => -1 ) ); //Get all published posts
		foreach ( $posts as $post ) {
		    return '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ).'">'.get_the_author().'</a>';
		}
	}
}

/* Get the pagination */
if ( ! function_exists( 'wl_theme_get_the_pagination' ) ) {
	function wl_theme_get_the_pagination() {
		?>
	    <div class="text-center wl-theme-pagination">
	        <?php echo esc_html( the_posts_pagination( array( 'mid_size' => 2 ) ) ); ?>
	        <div class="clearfix"></div>
	    </div>
	<?php
	}
}

/* Get the pagination */
if ( ! function_exists( 'wl_theme_is_companion_active' ) ) {
	function wl_theme_is_companion_active() {
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    	if ( is_plugin_active(  'weblizar-companion/weblizar-companion.php' ) ) {
    		return true;
    	} else {
    		return false;
    	}
	}
}

//comment-reply js //
function nineteen_enqueue_comments_reply() {

    if( is_singular() && comments_open() && ( get_option( 'thread_comments' ) == 1) ) {
        // Load comment-reply.js (into footer)
        wp_enqueue_script( 'comment-reply', 'wp-includes/js/comment-reply', array(), false, true );
    }
}
add_action(  'wp_enqueue_scripts', 'nineteen_enqueue_comments_reply' );

/* Notice dismissable */
add_action( 'admin_notices', 'nineteen_custom_admin_notice' );

function nineteen_custom_admin_notice() {
		wp_enqueue_style('admin',  get_template_directory_uri() .'/inc/admin/admin.css');
		$wl_th_info = wp_get_theme(); 
		$currentversion = str_replace('.','',(esc_html( $wl_th_info->get('Version') )));
		$isitdismissed = 'nineteen_notice_dismissed'.$currentversion;
		if ( !get_user_meta( get_current_user_id() , $isitdismissed ) ) { ?>
		<!---our-product-features--->	
		<div class="notice notice-success">	
			<p class="notice-text">
			<?php $theme_info = wp_get_theme();
			printf( esc_html__('Thank you for installing %1$s ¬ Version %2$s ,', 'nineteen'), esc_html( $theme_info->Name ), esc_html( $theme_info->Version ) );		
			echo esc_html__( 'For More info  about Premium Products & offers, Do visit our welcome page.', 'nineteen' ); ?>
			</p>
			<p class="notic-gif"><a class="pro" target="_self" href="<?php echo admin_url('/themes.php?page=nineteen') ?>"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/wlcm.gif"></a></p>
			<a class="dismiss" href="?-notice-dismissed<?php echo $currentversion;?>"><i class="fa fa-times" aria-hidden="true"></i></strong></a>
		</div>		
<?php
	}
 }
add_action('admin_notices', 'nineteen_custom_admin_notice');
function nineteen_notice_dismissed() {
	$wl_th_info = wp_get_theme(); 
	$currentversion = str_replace('.','',(esc_html( $wl_th_info->get('Version') )));
	$dismissurl = '-notice-dismissed'.$currentversion;
	$isitdismissed = 'nineteen_notice_dismissed'.$currentversion;
    $user_id = get_current_user_id();
    if ( isset( $_GET[$dismissurl] ) )
        add_user_meta( $user_id, $isitdismissed, 'true', true );
}
add_action( 'admin_init', 'nineteen_notice_dismissed' );